#4 THE 3.1 and broken AIX-curses?

open
nobody
5
2002-10-16
2002-10-16
Anonymous
No

THE 3.1 compiled on AIX-5.1 produces the same error
as reported fixed in the 3.1 history.
From the FAQ:
Q. I've built THE on AIX 4.2/4.3 using the IBM supplied
curses and THE does a couple of strange
things:
1) ...
2) when the FILEAREA scrolls horizontally (because
I've moved the cursor past the edge of the screen), the
cursor moves down one line.

A. Simple answer is IBM has broken their curses
library!
....
2) AIX curses is broken! Use ncurses or XCurses if
possible or get IBM to fix their code ;-)
(Update for THE 3.1) A workaround has been written to
fix this.

Discussion


Log in to post a comment.